This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 842363 - Weird behavior when renaming tabs in tabbed layout
Weird behavior when renaming tabs in tabbed layout
Status: ASSIGNED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.2.ER02
i686 Linux
low Severity low
: ---
: 5.2.x
Assigned To: Peter Palaga
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 10:53 EDT by Miroslav Cupák
Modified: 2015-01-05 20:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot 1 (40.54 KB, image/jpeg)
2012-07-23 10:54 EDT, Miroslav Cupák
no flags Details
Screenshot 2 (41.48 KB, image/jpeg)
2012-07-23 10:54 EDT, Miroslav Cupák
no flags Details
Bug 842363 patch (3.23 KB, text/plain)
2012-08-03 05:04 EDT, Peter Palaga
ppalaga: review-
Details

  None (edit)
Description Miroslav Cupák 2012-07-23 10:53:46 EDT
Description of problem:
Strange behavior occurs when trying to rename the tabs in tabbed layout. There are pencil icons disappearing and appearing on the tabs and they don't behave as one would expect.

Steps to Reproduce:
1. Sign in as root.
2. Go to Site Editor > Add new page.
3. Fill in the name, next.
4. Choose "Tabs Page Config", next.
5. Switch to "Containers" tab in Page Editor. You should now see the tabs as displayed in screenshot 1.
6. Move over the top container and click the pencil icon to edit it.
7. Click "Save" (no need to change anything).
8. You can see that a tiny pencil icon appeared next to each of the tabs now (see screenshot 2). Click the pencil icon on one of the tabs.
  
Actual results:
The pencil icon disappears and reappears with different operations, e.g. when changing the view mode or editing a container. You can't rename the tab after clicking it, you are editing a different container. To change the label of the tab, you actually need to edit the container inside it.

Expected results:
The pencil icon works intuitively and doesn't "randomly" appear and disappear.
Comment 1 Miroslav Cupák 2012-07-23 10:54:25 EDT
Created attachment 599810 [details]
Screenshot 1
Comment 2 Miroslav Cupák 2012-07-23 10:54:54 EDT
Created attachment 599811 [details]
Screenshot 2
Comment 3 Peter Palaga 2012-08-03 05:04:48 EDT
Created attachment 602093 [details]
Bug 842363 patch

This patch should be applied in /branches/EPP_5_2_Branch directory.

Bolek recommends to apply this patch after 5.2.2.

Note You need to log in before you can comment on or make changes to this bug.